%define 	module	actdiag
Summary:	actdiag generate activity-diagram image file from spec-text file
Name:		python-%{module}
Version:	0.3.3
Release:	3
License:	Apache v2.0
Group:		Development/Languages
URL:		http://blockdiag.com/en/actdiag/index.html
Source0:	http://pypi.python.org/packages/source/a/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	9fe115a937539c43cf9d16a5d79e20d6
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	sed >= 4.0
Requires:	python-blockdiag >= 1.1.2
Requires:	python-funcparserlib >= 0.3.4
Requires:	python-modules >= 2.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
actdiag generate activity-diagram image file from spec-text file.

Features:
- Generate activity-diagram from dot like text (basic feature).
- Multilingualization for node-label (utf-8 only).

%prep
%setup -q -n %{module}-%{version}
%{__sed} -i -e 's/^from ez_setup/#from ez_setup/' setup.py
%{__sed} -i -e 's/^use_setuptools()/#use_setuptools()/' setup.py

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install \
	--root $RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/tests
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}_sphinxhelper.py[co]

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{module}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{module}
%{_mandir}/man1/%{module}.1*
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%dir %{py_sitescriptdir}/%{module}/plugins
%{py_sitescriptdir}/%{module}/plugins/*.py[co]
%dir %{py_sitescriptdir}/%{module}/utils
%{py_sitescriptdir}/%{module}/utils/*.py[co]
%dir %{py_sitescriptdir}/%{module}/utils/rst
%{py_sitescriptdir}/%{module}/utils/rst/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-*.egg-info
%endif
%changelog
* Sun Feb 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-actdiag.git;a=log;h=master

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> f255469
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 6a915f5
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> eac030b
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b993a8a
- automatic change: use py_build/py_install macros

* Wed Aug 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6e5a889
- updated to 0.3.3
- funcparserlib is a run-time require

* Fri Dec 02 2011 zbyniu <zbyniu@pld-linux.org> 2c4e78e
- up to 0.3.0

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> e9295e8
- no double slashes

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> 53d6828
- no default attr for man

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> 29be22e
- do not enforce gzip compressed man, cosmetics

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> 3293b8f
- added manual file.

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> 0c1a75d
- removed not needed file.

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> adb36c1
- cosmetic

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> b891b4c
- added sphinx file,
- release 1.

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> a6e8c97
- py-postclean, BR python-funcparserlib not needed, do not package tests

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> a7f020e
- release 0.2,
- updated requires.`

* Mon Oct 17 2011 Elan Ruusamäe <glen@pld-linux.org> 8b92df0
- adapter, pldize

* Mon Oct 17 2011 cieciwa <cieciwa@pld-linux.org> c87f7b5
- clean spec.

* Mon Oct 17 2011 cieciwa <cieciwa@pld-linux.org> 97f9a34
- version 0.1.9,
- release 0.1.

